import { Plugin } from 'rollup';

declare type ExtensionLanguageMap = Record<string, string>;
declare type Options = {
    theme?: string;
    extensionLanguageMap: ExtensionLanguageMap;
};
declare type VitePlugin = Pick<Plugin, "name" | "resolveId" | "load"> & {
    enforce?: "pre" | "post";
};
declare function syntaxHighlight(options?: Options): VitePlugin;

export { ExtensionLanguageMap, Options, syntaxHighlight };
